Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8294 - Upgrading to apache fro rh6.1 breaks suexec setup
Summary: Upgrading to apache fro rh6.1 breaks suexec setup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-08 17:04 UTC by Nadeem
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 02:38:01 UTC


Attachments (Terms of Use)

Description Nadeem 2000-01-08 17:04:53 UTC
Hi,

 I recently upgraded several boxes with apache rpms from redhat 6.1 errata.
After doing so, I noticed that suexec failed to work on virtual domains. I
quickly noticed that these were the first rpms from redhat to include
suexec in the rpm and as such had overwritten the binary I had compiled.
The big problem with the suexec included with the 1.3.9-8 rpm's is the fact
that docroot is set to "/home/httpd/html". Which means that if you have
virtual hosts that use suexec they have to be a subdirectory of the
aforementioned directory or you will get suexec errors. Either you shoudl
change the docroot directory for suexec to / or distribute the source code
with instruction on how to compile it (with the binary distro).

Comment 1 Preston Brown 2000-01-13 02:38:59 UTC
source is included, get the apache src rpm.  Providing a suexec docroot of / is
too dangerous a default setting for us to do.


Note You need to log in before you can comment on or make changes to this bug.